Subject: Re: linux-next: manual merge of the drm tree with Linus' tree

From: Daniel Vetter <[email-masked]>
Date: Fri, 13 Apr 2012 10:59:56 +0200

On Fri, Apr 13, 2012 at 01:38:17PM +1000, Stephen Rothwell wrote:
> Hi Dave,
> 
> Today's linux-next merge of the drm tree got a conflict in
> drivers/gpu/drm/i915/intel_i2c.c between commit 6a562e3daee2 ("Revert
> "drm/i915: reenable gmbus on gen3+ again"") from Linus' tree and commits
> 0fb3f969c868 ("drm/i915: enable gmbus on gen2") and 2ed06c93a1fc
> ("drm/i915/intel_i2c: gmbus disabled and reserved ports are invalid")
> from the drm tree.
> 
> I just used the drm tree version.

That's correct, gmbus is too broken for 3.4, but we already have quite a
few fixes for known issues queued for 3.5, so leaving it enabled there is
the right thing for -next. I plan to do a backmerge as soon as -rc3 is out
there, I have a few more patches for drm-intel-next that depend/conflict
with new patches merged to Linus' tree.

Thanks, Daniel
-- 
Daniel Vetter
Mail: [email-masked]
Mobile: +41 (0)79 365 57 48